%global edataserver_version 3.33.2
%global libical_version 1.0.9
%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-calendar
Version:        3.38.2
Release:	%mkrel 3
Summary:	Simple and beautiful calendar application designed to fit GNOME 3

License:	GPLv3+
URL:		https://wiki.gnome.org/Apps/Calendar
Group:		Graphical desktop/GNOME

Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# Upstream patches
Patch1:		0001-project-Switch-to-libhandy-1.patch

# Backported from upstream
# These are all backports of crasher fix PRs by mcatanzaro
Patch50:	84.patch

BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	meson
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(goa-1.0) >= 3.2.0
BuildRequires:	pkgconfig(libecal-2.0) >= %{edataserver_version}
BuildRequires:	pkgconfig(libdazzle-1.0)
BuildRequires:	pkgconfig(libhandy-1)
BuildRequires:	pkgconfig(gweather-3.0)
BuildRequires:	pkgconfig(libgeoclue-2.0)
BuildRequires:	pkgconfig(libedataserver-1.2) >= %{edataserver_version}
BuildRequires:	pkgconfig(libical) >= %{libical_version}
BuildRequires:	appstream-util
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(gsettings-desktop-schemas)

%description
Calendar is a simple and beautiful calendar application designed to fit
GNOME 3.
Features:
* Week, month and year views
* Basic editing of events
* Evolution Data Server integration
* Search support

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
%{find_lang} %{name}

%files -f %{name}.lang
%doc NEWS README.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Calendar.desktop
%{_datadir}/dbus-1/services/org.gnome.Calendar.service
%{_metainfodir}/org.gnome.*.xml
%{_datadir}/glib-2.0/schemas/org.gnome.calendar.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.calendar.gschema.xml
# co-own these directories
%dir %{_datadir}/gnome-shell
%dir %{_datadir}/gnome-shell/search-providers
%{_datadir}/gnome-shell/search-providers/org.gnome.Calendar.search-provider.ini
%{_iconsdir}/hicolor/*/apps/org.gnome.Calendar*.*


%changelog
* Sat Jan 23 2021 tmb <tmb> 3.38.2-3.mga8
+ Revision: 1673100
- rebuild for new libical

* Sat Jan 23 2021 tmb <tmb> 3.38.2-2.mga8
+ Revision: 1673082
- rebuild for new libical

* Thu Dec 17 2020 ovitters <ovitters> 3.38.2-1.mga8
+ Revision: 1658678
- new version 3.38.2

* Sun Nov 08 2020 wally <wally> 3.38.1-2.mga8
+ Revision: 1643639
- add upstream patch to port to libhandy-1

* Sun Oct 04 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1632119
- new version 3.38.1

* Sat Sep 12 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1625309
- new version 3.38.0

* Fri Sep 11 2020 tv <tv> 3.37.92-1.mga8
+ Revision: 1624375
- 3.37.92

* Thu Aug 13 2020 ovitters <ovitters> 3.36.2-2.mga8
+ Revision: 1613757
- rebuild for evolution-data-server

* Thu Jun 18 2020 ovitters <ovitters> 3.36.2-1.mga8
+ Revision: 1595774
- new version 3.36.2

* Thu Apr 16 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1567915
- new version 3.36.1

* Sat Mar 07 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554553
- new version 3.36.0

* Sat Feb 29 2020 tv <tv> 3.35.92-1.mga8
+ Revision: 1552423
- BR pkgconfig(libhandy-0.0)
+ ovitters <ovitters>
- new version 3.35.92
- dropped merged patch 0001-Fix-app-ID-outside-devel-profile.patch

* Mon Feb 24 2020 tv <tv> 3.35.2-1.mga8
+ Revision: 1549989
- 3.35.2

* Sun Feb 16 2020 umeabot <umeabot> 3.34.2-2.mga8
+ Revision: 1535064
- Mageia 8 Mass Rebuild

* Wed Oct 09 2019 ovitters <ovitters> 3.34.2-1.mga8
+ Revision: 1450881
- new version 3.34.2

* Mon Oct 07 2019 daviddavid <daviddavid> 3.34.1-1.mga8
+ Revision: 1450298
- new version 3.34.1

* Tue Sep 10 2019 tv <tv> 3.34.0-1.mga8
+ Revision: 1439273
- backport one more crasher fix
- new release

* Wed Aug 07 2019 tv <tv> 3.33.4-1.mga8
+ Revision: 1427848
- new release

* Sat May 11 2019 daviddavid <daviddavid> 3.32.2-1.mga7
+ Revision: 1397172
- new version 3.32.2

* Sun Apr 28 2019 daviddavid <daviddavid> 3.32.1-1.mga7
+ Revision: 1395804
- new version 3.32.1

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392299
- Rebuild with meson 0.50.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1374066
- new version 3.32.0

* Sat Mar 09 2019 daviddavid <daviddavid> 3.31.90-1.mga7
+ Revision: 1373056
- new version 3.31.90

* Sat Nov 03 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1327817
- new version 3.30.1

* Mon Sep 03 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1256786
- new version 3.30.0

* Tue Aug 28 2018 ovitters <ovitters> 3.29.92-1.mga7
+ Revision: 1255128
- new version 3.29.92

* Tue Jul 31 2018 ovitters <ovitters> 3.29.90-1.mga7
+ Revision: 1246452
- new version 3.29.90

* Wed May 02 2018 ovitters <ovitters> 3.28.2-1.mga7
+ Revision: 1224443
- new version 3.28.2

* Tue Apr 10 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1217120
- new version 3.28.1

* Sat Apr 07 2018 kekepower <kekepower> 3.28.0-2.mga7
+ Revision: 1215947
- Rebuild for new libical

* Mon Mar 12 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208583
- new version 3.28.0

* Mon Mar 05 2018 ovitters <ovitters> 3.27.92-1.mga7
+ Revision: 1206799
- new version 3.27.92

* Wed Feb 28 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1205603
- new version 3.27.90

* Wed Jan 17 2018 ovitters <ovitters> 3.26.3-1.mga7
+ Revision: 1194193
- new version 3.26.3
- new version 3.26.2

* Sat Sep 23 2017 tv <tv> 3.26.1-1.mga7
+ Revision: 1158356
- new release

* Mon Jul 17 2017 ovitters <ovitters> 3.24.3-1.mga7
+ Revision: 1124641
- new version 3.24.3

* Tue May 09 2017 ovitters <ovitters> 3.24.2-1.mga6
+ Revision: 1099910
- new version 3.24.2

* Mon Apr 24 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1097221
- new version 3.24.1

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094014
- new version 3.24.0

* Tue Feb 28 2017 ovitters <ovitters> 3.22.3-1.mga6
+ Revision: 1088166
- new version 3.22.3

* Mon Dec 19 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1076169
- new version 3.22.2

* Sun Oct 02 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1058069
- new version 3.22.1

* Thu Sep 22 2016 ovitters <ovitters> 3.22.0-2.mga6
+ Revision: 1055237
- new version 3.22.0

* Thu Sep 01 2016 ovitters <ovitters> 3.20.3-1.mga6
+ Revision: 1049724
- new version 3.20.3

* Sun May 08 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1011069
- new version 3.20.2

* Thu Apr 14 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1001255
- new version 3.20.1

* Tue Mar 22 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993884
- new version 3.20.0

* Tue Mar 15 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 990751
- new version 3.19.92

* Thu Mar 03 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 983991
- new version 3.19.91

* Wed Feb 17 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 963187
- new version 3.19.90

* Tue Jan 26 2016 luigiwalser <luigiwalser> 3.19.4-2.mga6
+ Revision: 927861
- rebuild for libical

* Tue Jan 19 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 925946
- new version 3.19.4

* Wed Dec 16 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 911069
- new version 3.19.3

* Sat Oct 17 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 892262
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882733
- new release

* Mon Sep 14 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879420
- new version 3.17.92

* Sun Aug 30 2015 fwang <fwang> 3.17.90-1.mga6
+ Revision: 871274
- use configure2_5x
+ ovitters <ovitters>
- fix group
- clean spec
- from fedora

